kr.co.hanwha.hifive.screen.main.setting

## Class MainSettingFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment
    - - kr.co.hanwha.hifive.screen.main.setting.MainSettingFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, BaseView<MainSettingContract.Presenter>, MainSettingContract.View

      public class MainSettingFragment
      extends BaseFragment
      implements MainSettingContract.View

  MAIN - 관리 탭(4번째)
  See Also:
    `Created by sanghoonkwon on 2018. 1. 11..`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.LinearLayout` | `mLayoutUnit`
    `private android.widget.LinearLayout` | `mLayoutUnitContainer`
    `private HFSettingMenuActionView` | `mMenuViewAlarm`
    `private HFSettingMenuActionView` | `mMenuViewEditProfile`
    `private HFSettingMenuActionView` | `mMenuViewHelpdesk`
    `private HFSettingMenuActionView` | `mMenuViewPassword`
    `private HFSettingMenuActionView` | `mMenuViewSimplePassword`
    `private HFSettingMenuActionView` | `mMenuViewTab`
    `private HFSettingMenuVersionView` | `mMenuViewVersion`
    `private MainSettingPresenter` | `mPresenter`
    `private HFSettingProfileView` | `mSettingProfileView`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainSettingFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initCallback()`
    `void` | `initLayout(android.view.View parent)`
    `void` | `initPresenter()`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onResume()`
    `void` | `setAlarmSetting(boolean isChecked)` 알림 설정
    `private void` | `setCaptainView(boolean isCaptain)`
    `void` | `setDefaultScreen()` 기본 화면
    `void` | `setMemberInfo(LoginData loginData)` 멤버 기본 정보
    `void` | `setVersion(java.lang.String version, boolean needUpdate)` 버전 정보

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseFragment

      `onCreate, showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToast, showToast, showToastAlert, showToastAlert, showToastConfirm, showToastConfirm, showToastEmpty, showToastEmpty, showToastImpossible, showToastImpossible`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Field Detail

    - #### mSettingProfileView

          private HFSettingProfileView mSettingProfileView

    - #### mMenuViewEditProfile

          private HFSettingMenuActionView mMenuViewEditProfile

    - #### mMenuViewPassword

          private HFSettingMenuActionView mMenuViewPassword

    - #### mMenuViewSimplePassword

          private HFSettingMenuActionView mMenuViewSimplePassword

    - #### mLayoutUnit

          private android.widget.LinearLayout mLayoutUnit

    - #### mLayoutUnitContainer

          private android.widget.LinearLayout mLayoutUnitContainer

    - #### mMenuViewTab

          private HFSettingMenuActionView mMenuViewTab

    - #### mMenuViewAlarm

          private HFSettingMenuActionView mMenuViewAlarm

    - #### mMenuViewVersion

          private HFSettingMenuVersionView mMenuViewVersion

    - #### mMenuViewHelpdesk

          private HFSettingMenuActionView mMenuViewHelpdesk

    - #### mPresenter

          private MainSettingPresenter mPresenter

  - ### Constructor Detail

    - #### MainSettingFragment

          public MainSettingFragment()

  - ### Method Detail

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.app.Fragment`

    - #### initLayout

          public void initLayout(@NonNull
                                 android.view.View parent)

      Specified by:
        `initLayout` in interface `MainSettingContract.View`

    - #### initPresenter

          public void initPresenter()

      Specified by:
        `initPresenter` in interface `MainSettingContract.View`

    - #### initCallback

          public void initCallback()

      Specified by:
        `initCallback` in interface `MainSettingContract.View`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### setMemberInfo

          public void setMemberInfo(@NonNull
                                    LoginData loginData)

      Description copied from interface: `MainSettingContract.View`
      멤버 기본 정보
      Specified by:
        `setMemberInfo` in interface `MainSettingContract.View`
      Parameters:
        `loginData` - 로그인시 얻은 정보

    - #### setCaptainView

          private void setCaptainView(boolean isCaptain)

    - #### setDefaultScreen

          public void setDefaultScreen()

      Description copied from interface: `MainSettingContract.View`
      기본 화면
      Specified by:
        `setDefaultScreen` in interface `MainSettingContract.View`

    - #### setAlarmSetting

          public void setAlarmSetting(boolean isChecked)

      Description copied from interface: `MainSettingContract.View`
      알림 설정
      Specified by:
        `setAlarmSetting` in interface `MainSettingContract.View`

    - #### setVersion

          public void setVersion(@NonNull
                                 java.lang.String version,
                                 @NonNull
                                 boolean needUpdate)

      Description copied from interface: `MainSettingContract.View`
      버전 정보
      Specified by:
        `setVersion` in interface `MainSettingContract.View`
      Parameters:
        `version` - v[version]-[rc]([rv])
        `needUpdate` - Update button